# TUHH

## Institute of Logistics Engineering (ITL)

The Institute of Logistics Engineering (ITL) is characterized by close networking with numerous industrial partners. Since its foundation in 2016, the ITL has been dedicated to the research and application of localization systems due to their enormous potential for logistics processes. A test stand was put into operation on the ITL test area, which enables the high-precision, automated evaluation of localization systems with regard to various quality characteristics. In addition, a methodology for the experimental testing and evaluation of localization systems has been developed. The ITL is also working on the use of machine learning algorithms in intralogistics, in particular the development of practical tools for testing, monitoring and predicting technical systems in the areas of conveying and order picking. In the project, ITL will contribute its expertise and the test bench for data generation for learning localization system behavior.

ITL's focus in the project is on the generation of empirical data and the development of monitoring and testing tools for the design and operation of cyber-physical systems. The aim is to apply these tools in logistics systems, e.g. to predict the technical performance of robot localization systems and monitor them during operation. To generate data, the ITL will provide and expand a test stand for the evaluation of robot localization systems. The partners SICK and STILL will contribute data, hardware, expertise and logistical use cases in the field of localization and robotics in order to demonstrate the added value of the AGenC framework using real practical examples.

## Institute of Embedded Systems (IES)

The Institute of Embedded Systems (IES) is a research institute at the Hamburg University of Technology (TUHH) and is part of the Department of Electrical Engineering, Computer Science and Mathematics. The IES is dedicated to the research and development of embedded systems, which are used in various application areas such as automotive, aerospace, automation technology, medical technology, and consumer electronics. The IES has working groups being Embedded Systems Design and Computer Engineering. In research, the institute deals with software tools that help designing embedded and cyber-physical systems. Individual design steps, such as generating energy-efficient software or demonstrating proper operation, are automated, similar to word-processing programs that support spelling and grammar correction. However, the problems to be solved and the underlying algorithms are incomparably harder. Thus, fundamental knowledge on data structures and algorithms with well-founded theory is linked to practically highly relevant research contributions.

In the AGenC project, the IES contributes its expertise in model learning algorithms and analysis tools for cyber-physical systems. The focus is the application and further development of a broad range of learning algorithms from discrete over hybrid and continuous models, covering approximate modeling paradigms as well as interpolation of unseen system behavior. Furthermore, the IES provides analysis tools to evaluate the quality, robustness, and abstraction level of learned models.
