# Overview

Flowcean is a toolbox of universally applicable methods and interoperable solutions for data-driven modeling of CPS.
As the range of CPS-based application is broad, Flowcean provides an _ocean_ of modules for implementing the _flow_ for learning, evaluating, and using models in various domains.

This modular design integrates existing AI and model learning tools such as [PyTorch](https://pytorch.org/), [scikit-learn](https://scikit-learn.org), and [LearnLib](https://learnlib.de/).
The number of modules for all steps of the CPS design process extends every day.
For all custom adaptations, existing modules serve as a template for contributor and developer.
More details on the implementation concepts can be found in the [API Reference](../reference/flowcean/index.md).
In Knitt et al. [^1], the initial idea of Flowcean is presented, while core concepts of the current version are introduced here.

[^1]: Knitt, Markus, Swantje Plambeck, Jan Christian Wieck, Julian Kohlisch, Stephan Balduin, Eric MSP Veith, Jakob Schyga, Johannes Hinckeldeyn, Goerschwin Fey, and Jochen Kreutzfeldt. “Towards the Automatic Generation of Models for Prediction, Monitoring, and Testing of Cyber-Physical Systems.” In 2023 IEEE 28th International Conference on Emerging Technologies and Factory Automation (ETFA), 1–4, 2023. [doi:10.1109/ETFA54631.2023.10275706](https://doi.org/10.1109/ETFA54631.2023.10275706).
